inherit kernel
require linux-sysmocom.inc

LINUX_VERSION ?= "3.2.69"
LINUX_VERSION_EXTENSION ?= "-sysmocom-${LINUX_KERNEL_TYPE}"

SRCREV = "9e4e30c4894248e8e06b46980d53d4c1b5da5cf6"
BRANCH = "sob-odu/linux-3.2.69"

PR = "r42"
PV = "${LINUX_VERSION}+git${SRCPV}"

SRC_URI = " \
	   git://git.sysmocom.de/sysmo-bts/linux.git;protocol=git;branch=${BRANCH} \
	   file://mISDN_loop.patch;patch=1 \
	   file://defconfig"
S = "${WORKDIR}/git"

COMPATIBLE_MACHINE = "(sysmocom-odu)"
EXTRA_OEMAKE += "KALLSYMS_EXTRA_PASS=1"

require linux-tools.inc

do_configure() {
	install -m 0644 ${WORKDIR}/defconfig ${B}/.config
	oe_runmake -C ${S} O=${B} oldconfig
}

# autoload defaults (alphabetically sorted)
module_autoload_leds-gpio = "leds-gpio"
module_autoload_mmc_block = "mmc_block"

DEFAULT_PREFERENCE = "20"
